// SYSTEM TEXTURES ===========================
//textures/ig_ut_baeza_a1/sky
//{
//	qer_editorimage textures/ig_ut_baeza_a1/sky_arc_masked.tga
//	
//	q3map_sunExt 1 1 1 50 -50 62 2 1
//	q3map_lightRGB 0.8 0.8 0.65
//	q3map_lightmapFilterRadius 0 64
//	q3map_skyLight 64 3
//	
//	surfaceparm sky
//	surfaceparm noimpact
//	surfaceparm nolightmap
//	skyparms textures/ig_ut_baeza_a1/env/sky 512 -
//	
//	nopicmip
//	nomipmaps
//	{
//		map textures/ig_ut_baeza_a1/sky_clouds.tga
//		tcMod scale 3 3
//		tcMod scroll 0.005 -0.0125
//		rgbGen identityLighting
//	}
//	{
//		map textures/ig_ut_baeza_a1/sky_arc_masked.tga
//		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
//		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
//		rgbGen identityLighting
//	}
//}

textures/ig_ut_baeza_a1/sky_austria
{
	qer_editorimage env/ig_ut_baeza_a1/austriasky_up.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	//green test
	//q3map_sunExt 64 237 46 115 130 55 3 16

	//normal yellow
	//q3map_sunExt 242 205 133 500 130 55 3 16
	q3map_sun 242 205 133 500 130 55

	q3map_lightRGB 242 205 133
    //q3map_lightImage textures/austria/austria_up.jpg
    //q3map_lightRGB 238 232 185
	//q3map_skylight 500 3 //shadows too bright
	//q3map_skylight 200 3 // shadows a bit too dark
	//q3map_skylight 275 3
	q3map_surfacelight 275

    //q3map_lightmapFilterRadius 0 64	
    q3map_backsplash 0 0

    skyparms env/ig_ut_baeza_a1/austriasky - -
	
}

textures/ig_ut_baeza_a1/sky
{
	qer_editorimage env/ig_ut_baeza_a1/dawnzero_up.jpg
	q3map_lightmapFilterRadius 0 8
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	nopicmip
	nomipmaps
//	q3map_sun 242 205 133 200 130 55
// r g b bright angle rising halfshadow(0-3) samples(16)
	q3map_sunExt 226 154 85 32 55 32 3 16

    //q3map_lightImage env/ig_ut_baeza_a1/dawnzero_up.jpg
	q3map_lightRGB 242 205 133
	q3map_skylight 25 3
	// q3map_surfacelight 100

    q3map_backsplash 0 0

    skyparms env/ig_ut_baeza_a1/dawnzero - -
	
}

textures/ig_ut_baeza_a1/sh-ladder
{
  qer_trans .5
  qer_editorimage textures/ig_ut_baeza_a1/ladder.jpg
  surfaceparm ladder
  surfaceparm nodraw
  surfaceparm nolightmap
  surfaceparm nonsolid
  surfaceparm trans
  surfaceparm nomarks
  surfaceparm noimpact
  surfaceparm playerclip
  surfaceparm metalsteps
}


// GLASS AND SUCH CRAP =====================

textures/ig_ut_baeza_a1/sh-glass
{
	qer_editorimage textures/ig_ut_baeza_a1/glass.jpg
	qer_trans	0.8
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/ig_ut_baeza_a1/glass.jpg
		blendfunc add
		rgbGen const ( 0.03 0.03 0.035 )
	}
//   {
//		map textures/ig_ut_baeza_a1/cubemap.jpg
//		tcGen environment
//		rgbGen const ( 0.3 0.3 0.4 )
//		blendFunc GL_ONE GL_ONE
//   }
    {
		map textures/ig_ut_baeza_a1/cubemap.jpg
		tcGen environment
		blendFunc GL_DST_COLOR GL_ZERO
    }
//	{
//		map textures/ut_dville/water_move1.jpg
//		tcGen environment
//		blendFunc GL_DST_COLOR GL_ZERO
//    }
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/ig_ut_baeza_a1/sh-glass-2
{
	qer_editorimage textures/ig_ut_baeza_a1/glass.jpg
	qer_trans	0.5
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/ig_ut_baeza_a1/glass.jpg
		blendfunc add
		rgbGen const ( 0.05 0.05 0.05 )
	}
   {
		map textures/ig_ut_baeza_a1/cubemap.jpg
		tcGen environment
		rgbGen const ( 0.1 0.1 0.12 )
		blendFunc GL_ONE GL_ONE
   }
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

// BUMP TEXTURES AND MAPS ===================

textures/ig_ut_baeza_a1/sh-bump0
{
	qer_editorimage textures/ig_ut_baeza_a1/bump0.jpg
	q3map_normalimage textures/ig_ut_baeza_a1/bump0b.jpg
	{
		map textures/ig_ut_baeza_a1/bump0.jpg
		rgbGen identity
	}
	{
		map $lightmap
	}
	{
		map textures/ig_ut_baeza_a1/bump0.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// GRASS AND PLANTS

textures/ig_ut_baeza_a1/sh-vine
{
	qer_editorimage textures/ig_ut_baeza_a1/vine.tga
	q3map_backShader textures/ig_ut_baeza_a1/vine_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/ig_ut_baeza_a1/vine.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ig_ut_baeza_a1/vine_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ig_ut_baeza_a1/vine.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

// TRANSPARENTS

textures/ig_ut_baeza_a1/sh-door00
{
	qer_editorimage textures/ig_ut_baeza_a1/door00.tga
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
	cull none
	{
		map textures/ig_ut_baeza_a1/door00.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ig_ut_baeza_a1/sh-fence00
{
	qer_editorimage textures/ig_ut_baeza_a1/fence00.tga
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
	cull none
	{
		map textures/ig_ut_baeza_a1/fence00.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ig_ut_baeza_a1/sh-fence01
{
	qer_editorimage textures/ig_ut_baeza_a1/fence01.tga
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
	cull none
	{
		map textures/ig_ut_baeza_a1/fence01.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ig_ut_baeza_a1/sh-fence02
{
	qer_editorimage textures/ig_ut_baeza_a1/fence02.tga
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
	cull none
	{
		map textures/ig_ut_baeza_a1/fence02.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ig_ut_baeza_a1/sh-fence03
{
	qer_editorimage textures/ig_ut_baeza_a1/fence03.tga
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
	cull none
	{
		map textures/ig_ut_baeza_a1/fence03.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

// WATER and stuff

textures/ig_ut_baeza_a1/refwater_draw
{
	qer_editorimage	textures/ig_ut_baeza_a1/water
	q3map_lightimage textures/ig_ut_baeza_a1/water.jpg
	sort banner
	qer_trans	0.8
	surfaceparm nobuild
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	water
	surfaceparm	trans
	q3map_material	Water
	tessSize	128
	surfaceparm fog
	fogparms ( 0.1 0.1 0.1 ) 512
//	deformvertexes normal 0.1 1.85
	cull disable
	deformVertexes wave 256 sin .1 .5 0 .2
//	deformvertexes wave 512 sin 0 1 0.3 2
	
	{ 
		map textures/ig_ut_baeza_a1/water.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod scroll .025 .01
	}
	{ 
		map textures/ig_ut_baeza_a1/water.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
    {
	map textures/ig_ut_baeza_a1/cubemap.jpg
	tcGen environment
	rgbGen const ( 0.3 0.3 0.4 )
	blendFunc GL_ONE GL_ONE
    }
    {
	map textures/ig_ut_baeza_a1/cubemap.jpg
	tcGen environment
	blendFunc GL_DST_COLOR GL_ZERO
    }
    {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
 //		rgbgen identity		
   }
}

textures/ig_ut_baeza_a1/freshwater_draw
{
	qer_editorimage textures/ig_ut_baeza_a1/water.jpg
	qer_trans .5
	q3map_lightimage textures/ig_ut_baeza_a1/water.jpg
	q3map_globaltexture

	surfaceparm nobuild
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 256 sin .25 .25 0 .2	
	{ 
		map textures/ig_ut_baeza_a1/water.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/ig_ut_baeza_a1/water.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
    {
		map textures/ig_ut_baeza_a1/cubemap.jpg
		tcGen environment
		rgbGen const ( 0.3 0.3 0.4 )
		blendFunc GL_ONE GL_ONE
    }
    {
		map textures/ig_ut_baeza_a1/cubemap.jpg
		tcGen environment
		blendFunc GL_DST_COLOR GL_ZERO
    }
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}


textures/ig_ut_baeza_a1/water_nodraw
{
	qer_editorimage textures/ig_ut_baeza_a1/water.jpg
	qer_trans .4
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm water
}

// PLANTS AND TREED

textures/ig_ut_baeza_a1/sh-sn_ivy3
{
	qer_editorimage textures/sweetnutz3/sn_ivy3.tga
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
	cull none
	{
		map textures/sweetnutz3/sn_ivy3.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ig_ut_baeza_a1/sh-sn_tree2
{
	qer_editorimage textures/sweetnutz3/sn_tree2.tga
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
	cull none
	{
		map textures/sweetnutz3/sn_tree2.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ig_ut_baeza_a1/sh-sn_tree3
{
	qer_editorimage textures/sweetnutz3/sn_tree3.tga
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
	cull none
	{
		map textures/sweetnutz3/sn_tree3.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}